package com.miaxis.question.dto;

import com.miaxis.common.core.domain.BaseBusinessEntity;
import com.sun.corba.se.spi.presentation.rmi.IDLNameTranslator;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 地方题选分类返回对象
 * @author miaxis
 * @date 2021-10-20
 */
@Data
@ApiModel(value = "QuestionInfoTestDTO", description = "模拟考试输入对象")
public class QuestionInfoTestDTO {
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "科目 科目一:1; 科目一:4")
    private Integer subject;

    @ApiModelProperty(hidden = true)
    private String liceCar;

    @ApiModelProperty(hidden = true)
    private String liceBus;

    @ApiModelProperty(hidden = true)
    private String liceTruck;

    @ApiModelProperty(hidden = true)
    private String liceMoto;

    @ApiModelProperty(value = "取题车型 小车:xc;客车:kc;货车:hc;摩托车:mtc")
    private String gs;

    @ApiModelProperty(hidden = true)
    private String excellIssueName;

    @ApiModelProperty(hidden = true)
    private Integer questionType;

    @ApiModelProperty(hidden = true)
    private Integer chapterId;

    @ApiModelProperty(hidden = true)
    private List<Integer> diffDegree;

    @ApiModelProperty(hidden = true)
    private Integer num;

}
