package com.miaxis.user.service.impl;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.miaxis.common.core.domain.entity.UserInfo;
import com.miaxis.common.exception.CustomException;
import com.miaxis.common.utils.DateUtils;
import com.miaxis.extension.dto.ExtensionIncomeListDTO;
import com.miaxis.extension.vo.ExtensionIncomeVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.apache.commons.lang3.StringUtils;
import com.miaxis.user.mapper.UserInfoMapper;

import com.miaxis.user.service.IUserInfoService;

/**
 * 用户Service业务层处理
 *
 * @author miaxis
 * @date 2021-08-18
 */
@Service
public class UserInfoServiceImpl extends ServiceImpl<UserInfoMapper, UserInfo> implements IUserInfoService {
    @Autowired
    private UserInfoMapper userInfoMapper;

    /**
     * 查询用户列表
     *
     * @param userInfo 用户
     * @return 用户
     */
    @Override
    public List<UserInfo> selectUserInfoList(UserInfo userInfo){
        return userInfoMapper.selectUserInfoList(userInfo);
    }

    @Override
    public UserInfo getUpUserInfo(String fromUserName) {
        return userInfoMapper.getUpUserInfo(fromUserName);
    }

    @Override
    public List<ExtensionIncomeVo> getDownLevelPoints(String openid) {
        return userInfoMapper.getDownLevelPoints(openid);
    }

    @Override
    public List<ExtensionIncomeVo> getPcDownLevelPoints(ExtensionIncomeListDTO dto) {
        if (dto.getSortBy()!= null){
            if (dto.getSortBy() == 1){
                dto.setSortByParmName("achievement_total");
            }else if (dto.getSortBy() == 2){
                dto.setSortByParmName("achievement");
            }else if (dto.getSortBy() == 3){
                dto.setSortByParmName("achievement_settled");
            }else if (dto.getSortBy() == 4){
                dto.setSortByParmName("extension_count");
            }else{
                throw new CustomException("sortBy值不合法");
            }
        }
        return userInfoMapper.getPcDownLevelPoints(dto);
    }
}
